How Do You Install SQL Anywhere on a WCE 2.12 Device

I downloaded the Eval copy of SQL Anywhere for Windows CE and tried to 
install it on my WCE device which is running 2.12.  It appears that the 
install program recognizes only CE versions 2.11 or 3.0.  Is there anyway 
to trick the install program into seeing my unit as a 2.11 unit?

Thanks in advance
Scott



0
Scott
9/6/2001 2:58:17 PM
sybase.sqlanywhere.general 32637 articles. 4 followers. Follow

3 Replies
657 Views

Similar Articles

[PageSpeed] 39

What partnership do you have with the CE device. AFAIK, a guest partnership
will not work.

/ck

<Scott> wrote in message
news:9AD36C60ED1FA8A900523DC485256ABF.00523DD385256ABF@webforums...
> I downloaded the Eval copy of SQL Anywhere for Windows CE and tried to
> install it on my WCE device which is running 2.12.  It appears that the
> install program recognizes only CE versions 2.11 or 3.0.  Is there anyway
> to trick the install program into seeing my unit as a 2.11 unit?
>
> Thanks in advance
> Scott
>
>
>


0
Chris
9/6/2001 3:18:10 PM
CK,

  It's a normal (not guest) Partnership.  I've come across this before with
several other program installers where the person/company that configures
the installer can select the 'no higher than' OS version.  It appears to me
that 2.11 is selected instead of 2.12 (which is basically 2.11 with some
enhancements/fixes).  I ran across this with the same installer used by
someone who developed some ActiveX controls I wanted to use.  This same
installer gave me the same message that I'm getting with the SQL Anywhere
installer.  I emailed the guy and he emailed me the .OCX file.  I copied it
over to the CE unit and registered it and it worked fine.

  The SQL installer pops up a DOS window and builds a .CAB file (I assume).
then the ADD/REMOVE windowed screen pops up and checks the connected device.
Then I get the pop-up message "Unsupported Device Type" "Sybase ASA for
Windows CE does not support the connected device type.  Application manager
will make the application available for installation when a supported device
type is connected"

  I don't know exactly what type of query the installer is performing on the
CE unit to get it's information.  I doubt it's as simple as getting some
information from the Registry.  I'm new at Windows CE programming, so I'm
groping my way through this.

  I you have any more suggestions, I would appreciate it.

Scott


"Chris Keating" <keating@iAnywhere.com> wrote in message
news:rSdwNquNBHA.270@forums.sybase.com...
> What partnership do you have with the CE device. AFAIK, a guest
partnership
> will not work.
>
> /ck
>
> <Scott> wrote in message
> news:9AD36C60ED1FA8A900523DC485256ABF.00523DD385256ABF@webforums...
> > I downloaded the Eval copy of SQL Anywhere for Windows CE and tried to
> > install it on my WCE device which is running 2.12.  It appears that the
> > install program recognizes only CE versions 2.11 or 3.0.  Is there
anyway
> > to trick the install program into seeing my unit as a 2.11 unit?
> >
> > Thanks in advance
> > Scott
> >
> >
> >
>
>


0
Scott
9/7/2001 3:01:01 PM
CK,

  Thanks for replying but I've found the answer.  Sybase could have done
this and it's ridiculus that they didn't.

  Anyone wanting to install the eval (and probably other) versions of SQL on
a 2.12 unit will have to follow the steps below.  It's just as I suspected,
there's a MIN/MAX OS version number that needs to be set.

1) Install the SQL Anywhere EVAL.  Before installing the SQL stuff on the
WCE device you'll have to exit the setup program.  If you've installed
everything to the default directories, then in the "Drive Letter:\program
files\sybase\sql anywhere 7\ce" directory, you will find the ASA_CE.INF
file.

2) Open the ASA_CE.INF file with an editor and go down to the appropriate
WCE OS version label.  In my case I'm using a MIPS processor so the section
in the INF file looks like this:


[CEDevice.MIPS]           ; for MIPS processor
ProcessorType = 4000             ; processor value for MIPS R3900
VersionMin   = 2.11
VersionMax   = 2.11

I changed the VersionMax from 2.11 to 2.12 to look like below and saved the
file.

[CEDevice.MIPS]           ; for MIPS processor
ProcessorType = 4000             ; processor value for MIPS R3900
VersionMin   = 2.11
VersionMax   = 2.12        ; <<<< MY UPDATE

I also set the attribute to READ ONLY for this file, because if you have to
run setup again to do the CE device install, you will overrite this file and
end up with the original settings again.

3) Run install again to build the install .CAB file and do the remote CE
device install.  When the setup program sees the ASA_CE.INF file is REQD
ONLY, it asks you if you want to overwrite it - answer NO.  Setup builds the
..CAB file and correctly downloads it to the CE device. IT WORKS.

NOW, Sybase should originally have had their install program set this way.
You will have to make the above change for whatever Processor you are
running and have 2.12 OS.

I'm trying to eval different mobiile data bases for WCE devices for a major
application.  This WASTED A DAY AND A HALF OF MY TIME.    This was TOTALLY
unnecessary.

I have an Eval copy of Oracle Lite and it installed PERFECTLY AND WITHOUT
PROBLEMS THE FIRST TIME.

I'm starting starting to see which data base I may be using..

Scott

"Chris Keating" <keating@iAnywhere.com> wrote in message
news:rSdwNquNBHA.270@forums.sybase.com...
> What partnership do you have with the CE device. AFAIK, a guest
partnership
> will not work.
>
> /ck
>
> <Scott> wrote in message
> news:9AD36C60ED1FA8A900523DC485256ABF.00523DD385256ABF@webforums...
> > I downloaded the Eval copy of SQL Anywhere for Windows CE and tried to
> > install it on my WCE device which is running 2.12.  It appears that the
> > install program recognizes only CE versions 2.11 or 3.0.  Is there
anyway
> > to trick the install program into seeing my unit as a 2.11 unit?
> >
> > Thanks in advance
> > Scott
> >
> >
> >
>
>


0
Scott
9/7/2001 7:04:34 PM
Reply:

Similar Artilces:

Suggestions Please installing SQL Anywhere on 2.12 CE unit
I downloaded the Eval copy of SQL Anywhere for Windows CE and tried to install it on my WCE device which is running 2.12. It appears that the install program recognizes only CE versions 2.11 or 3.0. Is there anyway to trick the install program into seeing my unit as a 2.11 unit. I hate this crap. 2.12 is a VALID version of WCE that many companies overlook when creating their install programs. It's a simple matter of including it in the installer versions. Any suggestions (besides changing the OS kernal)? Thanks in advance Scott What version of ASA are you install...

Unable to use SQL Server because ASP.NET version 2.0 Session State is not installed on the SQL server. Please install ASP.NET Session State SQL Server version 2.0 or above.
Can anybody point me in the direction of how to resolve this error, Unable to use SQL Server because ASP.NET version 2.0 Session State is not installed on the SQL server. Please install ASP.NET Session State SQL Server version 2.0 or above. I am running Visusl Studio 2005, SQL Server 2005 Standard, running on WIndows XP Pro. I am trying to use SQL for session state management. I originally ran the following code from the command line prompt, aspnet_regsql.exe -E -ssadd -sstype p This created an ASPState database. I then manually added my default ASP.NET login as a user. In my web.confi...

SQL Anywhere 12 #2
What is the status of SQL Anywhere 12? There's alread a thread with the same topic in this newsgroup. Cited from there: The SQL Anywhere 12 beta is currently open: http://www.sybase.com/innsbruckbeta Registering for the beta will provide you the software to review and test. This includes documentations and feature lists. SQL Anywhere 12 will be released later this year. There is a Top 12 Cool New Features paper that is currently being developed. Information will be provided to the beta about this paper. There are some hints that SQLA 12 will available in the second ...

Problem installing SQL Anywhere 12
Hi, I'm trying to install the latest version of SQL Anywhere, but at the end of installation I receive this message : "Could not create the Java virtual machine" I have other versions of SQL Anywhere installed on my computer. I remember I had this problem before, but now I don't know how to solved. Any advice ? Best regards. Hi Canelas, On 04/08/2010 1:28 PM, Canelas wrote: > "Could not create the Java virtual machine" > > I have other versions of SQL Anywhere installed on my computer. I > remember I had this problem before,...

installing sql anywhere on redhat 7.2
i am trying to get sql anywhere installed on a machine running redhat 7.2 (2.4.7-10). it won't let me run the setup.exe file. i tried running it out of GNOME by double clicking on the icon, but that would run it, but not give me a chance to agree to the license agreement, it would always just select no and kick me out of it. then i tried running it from the shell, but it seems to bring up some redhat setup utility. can't figure this one out for the life of me. thanks in advance for any help. Doug setup.exe? the linux/unix command to start the installation is ./...

Installing sql anywhere 11 to a windows mobile device
Hi, I want to install the SQL anywhere 11 to a windows mobile device. I am using the sql anywhere 11 developer version. If we can't install the developer version to a windows mobile device. Please tell me that how we can install the SQL anywhere into the windows mobile device or to .Net Emulator?? Thanks, GKN GKN, The SQL Anywhere 11 Developer Edition contains a copy of SQL Anywhere for Windows Mobile Devices. Does your installation contain the folder "%SQLANY11%\CE\Deployment" ? You will want to run "cedeploy.exe" to deploy the Windows Mobile ve...

Commerical/OEM Issues with SQL Anywhere 12 Install
Question about my SQL Anywhere 12 install here. I've downloaded my SA12 install files from subscribe-net. I've gone ahead and installed it on my development server so I can start using SQL Anywhere 12. When it asked for the key, I used the Commercial (non-authenticated) key that was found in my OEM documentation. (Same exact thing I did with SQL Anywhere 11). When I run a database under SQL Anywhere 11 on this machine, and I show the server window from the tray, it says "Workgroup Edition". However, when I show the server window for SQL Anywhere 12, it s...

Sql Anywhere 10 and Power Designer 12
Sql Anywhere 10 comes with Power Designer 12.0. Are there any plans to includes updates for Power Designer which currently is at 12.1 + EBF's? The 12.1 Maintenance release cannot be applied to the version that ships with SqlAnywhere. You get an error message to that effect when you apply the update. ...

SQL Anywhere 12 Installation error: Could not create the Java virtual machine
We have a client installing Sybase SQL Anywhere 12 to a Windows 2008 SP2 server and at the end of the install, they are getting the error: Could not create the Java virtual machine This error occurs when Sybase is: "Initializing Sybase Central repository file" The user has Domain Admin rights to this server and User Account Control is turned off. They have uninstalled and reinstalled Java on this server, but it hasn't helped. Any thoughts? Jesse Giguere JGiguere@Needles.com Hi Jesse, Installing Java separately on the machine will not change anyt...

SQL Anywhere 7.0.2 Install Problem (MSDART32.dll)
I downloaded and installed the demo copy of SQL Anywhere Studio from the Sybase Website. No problems - software was acceptable. I purchased a copy of SQL Anywhere Studio thru the mail. Version 7.0.2 arrived. When I run the install I get a message that Install cant find MSDART32.dll ? Has anyone else run into this ? I will of course be contacting Sybase. Thanks in advance -- Bob It sounds like your MDAC installation is corrupt. The ASA install would install MDAC if it wasn't there, but it just checks the registry for verification. If MDAC were installed and...

Can I use ASE 12.5.2 64-bit license on an ASE 12.5.2 32-bit install
I want to install sybase ASE 12.5.2 on my machine (2GB of memory) but my license certificate has a 64 bit license only. Can I use the 64-bit license on my 32 bit ASE 12.5.2 installation? thanks Gemma No you cannot > I want to install sybase ASE 12.5.2 on my machine (2GB of > memory) but my license certificate has a 64 bit license > only. > > Can I use the 64-bit license on my 32 bit ASE 12.5.2 > installation? > > thanks > Gemma ...

can i move all device files from one 11.0.2 installation to another 11.0.2 installation with their server.cfg files ?
are there any problems n doing this ? ...

Migrating ASA 9.0.2 to SQL Anywhere 12.0.0
Hello all...Does anyone know if it is possible to directly migrate ASA 9.0.2 to SQL Anywhere 12.0.0? Hello Mark, "Directly" is a bit of a loose term, but yes, you can migrate ASA 9 "directly" to SA 12. You will have to minimally rebuild your 9.0.x databases to be run on 12.0.x database servers. We also would expect that you thoroughly regression test your application against the new software version as there have been many behaviour changes and enhancements made since 9.0.2. I'd highly recommend reading the "Changes and Features" section in ...

Install problems 2.1.2 SQL
Hi All, I have downloaded & successfully installed DNN 2.1.2 to a desktop Pc using Access as the backend. When trying to install the same version on my notebook (XP Pro SP1) using SQL Server as the backend I get the following error message when I try to access the DNN website at localhost: << DotNetNuke Upgrade Error The Assembly Version ( [ASSEMBLYVERSION] ) does not match the Database Version ( [DATABASEVERSION] ) ERROR: Could not connect to database. Login failed for user 'dnn212'. Reason: Not associated with a trusted SQL Server connection. Continue &...

Web resources about - How Do You Install SQL Anywhere on a WCE 2.12 Device - sybase.sqlanywhere.general

Jimmy Fallon, ‘Star Wars’ Cast Recreate Classic Tunes From The Series
Jimmy Fallon and the cast of Star Wars: The Force Awakens won’t have to travel to a galaxy far, far away to have a little music fun with the ...

Miss World 2015 final live stream: Where to watch online
Miss World 2015 will take place on 19 December in China.

Shooting victims' families hug, talk with Obama, first lady
The girlfriend of one of the 14 people killed in the Dec. 2 shooting in San Bernardino said President Barack Obama immediately asked her for ...

Apple Pay to arrive in China in early 2016
Apple has announced plans to bring its mobile payment system, Apple Pay, to China in 2016. The service will take on Alipay and WeChat Payment, ...

‘Let Me Finish What I’m Saying’: Greta Confronts Cruz Over Past Immigration Position
After this week’s GOP debate, there was a renewed focus in the media over Ted Cruz ‘s past immigration positions. Back in 2013, he attempted ...

Apple's Tim Cook says tax avoidance criticism is 'political crap'
Apple and other tech companies have been criticised for using complex cross-border accounting measures to transfer profits to low tax jurisdictions ...

UN endorses peace road map for Syria
Politico UN endorses peace road map for Syria Politico The United Nations Security Council reached agreement Friday on a plan that aims to ...

Schools Shut Down Over Islam Worksheet Reaction
Christian Science Monitor Schools Shut Down Over Islam Worksheet Reaction 10TV Augusta County, Virginia - After a teacher at a Virginia school ...

Manhunt Underway For 'Affluenza' Teen
7 points and 0 comments so far on reddit

Republican poll: 30 per cent of candidates vote to bomb fake city
GENIE, we wish for your freedom from planet earth. Some of the people here are just too damn stupid.

Resources last updated: 12/19/2015 1:07:36 PM